FROM ultralytics/ultralytics:latest


RUN pip3 install -U pip
RUN pip3 install supervision
RUN pip3 install flask
RUN pip3 install gunicorn
RUN pip3 install lapx>=0.5.2
RUN pip3 install -v -e .

WORKDIR /app

# 在容器启动时运行 Gunicorn 以运行 Flask 应用
CMD ["gunicorn", "app:app", "--bind", "0.0.0.0:5000",  "--timeout", "0", "--workers", "1"]